const { cp } = require("fs/promises");

async function main() {  
  console.log("Copying template files...");
  await cp("src/templates", "dist/templates", { recursive: true });
  console.log("Template files copied successfully");

  console.log("Copying tools files...");
  await cp("tools", "dist/tools", { recursive: true });
  console.log("Tools copied successfully");
}

main().catch(err => {
  console.error(err);
  process.exit(1);
});